summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-18 00:24:59 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-18 00:24:59 +0100
commit2a182b006a51cecd6b5bbd4f07fcd8d412db0353 (patch)
treec8c62bb8331b5f282fe13915331e9aed57cc9215 /tests
parent0d8c407a805c5e5d4d4ee51cdbc58315f82b634a (diff)
test suite: break out tests/setup/gbp
This creates a fairly usual set of gbp style git branches/tags. No overall functional change. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/setup/gbp46
-rwxr-xr-xtests/tests/gbp-orig40
2 files changed, 50 insertions, 36 deletions
diff --git a/tests/setup/gbp b/tests/setup/gbp
new file mode 100755
index 0000000..1b73d39
--- /dev/null
+++ b/tests/setup/gbp
@@ -0,0 +1,46 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive-none example
+t-git-none
+t-worktree 1.0
+
+cd $p
+
+: '----- construct an unpatched branch with patches -----'
+
+git checkout patch-queue/quilt-tip
+gbp pq export
+: 'now on quilt-tip'
+git add debian/patches
+git commit -m 'Commit patch queue'
+
+: '----- construct an upstream branch -----'
+
+git checkout --orphan upstream
+git reset --hard
+git clean -xdf
+
+tar --strip-components=1 -xf $troot/pkg-srcs/${p}_1.0.orig.tar.gz
+
+mkdir docs
+cd docs
+tar --strip-components=1 -xf $troot/pkg-srcs/${p}_1.0.orig-docs.tar.gz
+cd ..
+
+git add -Af .
+git commit -m 'Import 1.0'
+git tag upstream/1.0
+
+git checkout quilt-tip
+t-git-pseudo-merge -m 'gbp-orig pseudomerge' upstream
+
+v=1.0-1
+
+cd ..
+
+t-setup-done 'v' "$(echo $p*) git mirror aq" '
+ t-select-package example
+ t-git-next-date
+'
diff --git a/tests/tests/gbp-orig b/tests/tests/gbp-orig
index 9a4937c..beace24 100755
--- a/tests/tests/gbp-orig
+++ b/tests/tests/gbp-orig
@@ -2,45 +2,13 @@
set -e
. tests/lib
-t-tstunt-parsechangelog
-t-tstunt-debuild
-t-tstunt-lintian
-
-t-archive-none example
-t-git-none
-t-worktree 1.0
+t-setup-import gbp
cd $p
-: '----- construct an unpatched branch with patches -----'
-
-git checkout patch-queue/quilt-tip
-gbp pq export
-: 'now on quilt-tip'
-git add debian/patches
-git commit -m 'Commit patch queue'
-
-: '----- construct an upstream branch -----'
-
-git checkout --orphan upstream
-git reset --hard
-git clean -xdf
-
-tar --strip-components=1 -xf $troot/pkg-srcs/${p}_1.0.orig.tar.gz
-
-mkdir docs
-cd docs
-tar --strip-components=1 -xf $troot/pkg-srcs/${p}_1.0.orig-docs.tar.gz
-cd ..
-
-git add -Af .
-git commit -m 'Import 1.0'
-git tag upstream/1.0
-
-git checkout quilt-tip
-t-git-pseudo-merge -m 'gbp-orig pseudomerge' upstream
-
-v=1.0-1
+t-tstunt-parsechangelog
+t-tstunt-debuild
+t-tstunt-lintian
: '----- let gbp build a .orig for comparison -----'